# Change recipe to call for measurement in grams instead of cups
print("--------------------------------------")
print("An American recipe calls for 2 cups of flour. How much is this in grams?")

# first function
def cups_to_grams(cups):
    return cups * 136


# second function
def flour_text(grams):
    statement_grams = f"This recipe calls for {grams}g of flour"
    return statement_grams


# chaining first and second function together:
# order of function evaluation:
# 1. the argument is evaluated first (2),
# 2. then cups_to_grams(),
# 3. then flour_text()
chained_output = flour_text(cups_to_grams(2))

print(chained_output)
